## org.apache.http.client.entity
Class UrlEncodedFormEntity

    java.lang.Object
      org.apache.http.entity.AbstractHttpEntity
          org.apache.http.entity.StringEntity
              org.apache.http.client.entity.UrlEncodedFormEntity

All Implemented Interfaces:
  Cloneable, HttpEntity

    @NotThreadSafe
    public class UrlEncodedFormEntity

extends StringEntity

An entity composed of a list of url-encoded pairs. This is typically useful while sending an HTTP POST request.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.entity.StringEntity
`content`

Fields inherited from class org.apache.http.entity.AbstractHttpEntity
`chunked, contentEncoding, contentType`

Constructor Summary
`UrlEncodedFormEntity(List<? extends NameValuePair> parameters)` Constructs a new `UrlEncodedFormEntity` with the list of parameters with the default encoding of `HTTP.DEFAULT_CONTENT_CHARSET`
`UrlEncodedFormEntity(List<? extends NameValuePair> parameters, String encoding)` Constructs a new `UrlEncodedFormEntity` with the list of parameters in the specified encoding.

Method Summary

Methods inherited from class org.apache.http.entity.StringEntity
`clone, getContent, getContentLength, isRepeatable, isStreaming, writeTo`

Methods inherited from class org.apache.http.entity.AbstractHttpEntity
`consumeContent, getContentEncoding, getContentType, isChunked, setChunked, setContentEncoding, setContentEncoding, setContentType, setContentType`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlEncodedFormEntity

    public UrlEncodedFormEntity(List<? extends NameValuePair> parameters,
                                String encoding)
                         throws UnsupportedEncodingException

  Constructs a new `UrlEncodedFormEntity` with the list of parameters in the specified encoding.

  Parameters:
    `parameters` - list of name/value pairs
    `encoding` - encoding the name/value pairs be encoded with
  Throws:
    `UnsupportedEncodingException` - if the encoding isn't supported

### UrlEncodedFormEntity

    public UrlEncodedFormEntity(List<? extends NameValuePair> parameters)
                         throws UnsupportedEncodingException

  Constructs a new `UrlEncodedFormEntity` with the list of parameters with the default encoding of `HTTP.DEFAULT_CONTENT_CHARSET`

  Parameters:
    `parameters` - list of name/value pairs
  Throws:
    `UnsupportedEncodingException` - if the default encoding isn't supported

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.